#include <bits/stdc++.h>
using namespace std;
int mas[300000];
bool bmas[300000]={false};
int nmas[600005];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int t;
    cin>>t;
    for (int l=0;l<t;l++) {
        int n;
        cin>>n;
        for (int i=0;i<n;i++) {
            cin>>mas[i];
            bmas[i]=false;
            nmas[i]=0;
            nmas[n+i]=0;
        }
        sort(mas,mas+n);
        int index=0;
        for (int i=0;i<n;i++) {
            if (i<2){nmas[n+index]=mas[i];bmas[i]=true;index++;}
            else {
                if (nmas[n+index-2]+mas[i]<nmas[n+index-1]*2)continue;
                else {nmas[n+index]=mas[i];bmas[i]=true;index++;}
            }
        }
        bool flag=true;
        index=0;
        bool f2=true;
        for (int i=0;i<n&&flag;i++) {
            if (bmas[i]){continue;}
            if (f2){nmas[n-1-index]=mas[i];index++;f2=false;}
            else {
                if (nmas[n+1-index]+mas[i]<nmas[n-index]*2){flag=false;}
                else {nmas[n-1-index]=mas[i];index++;}
            }

        }
        if (flag)cout<<"YES"<<endl;
        else cout<<"NO"<<endl;
    }
}
